## Script (Python) "getAccoFolderInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=student=None
##title=
##
# $Id: getAccoFolderInfo.py 1438 2007-02-19 14:44:39Z henrik $
"""
return Info about the Faculties
"""
request = context.REQUEST

wf = context.portal_workflow
mtool = context.portal_membership
path_info = request.get('PATH_INFO').split('/')

info = {}
info['action'] = "%s" % context.absolute_url()
info['choosen_ids'] = request.get('ids',[])
items = []
halls = context.portal_catalog(portal_type='AccoHall')
for f in halls:
    row = {}
    fo = f.getObject()
    fd = fo.getContent()
    row['id'] = fo.getId()
    row['title'] = fd.Title()
    row['url'] = fo.absolute_url()
    row['is_editable'] = mtool.checkPermission('Modify portal content', fo)
    items.append(row)
info['items'] = items


return info
